Skip Menu |
 

This queue is for tickets about the DBD-mysql CPAN distribution.

Report information
The Basics
Id: 42858
Status: resolved
Priority: 0/
Queue: DBD-mysql

People
Owner: Nobody in particular
Requestors: hermann [...] informatik.uni-freiburg.de
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: DBD::mysql 4.010 causes "bus error" on solaris
Date: Wed, 28 Jan 2009 12:43:06 +0100
To: bug-DBD-mysql [...] rt.cpan.org
From: Christoph Hermann <hermann [...] informatik.uni-freiburg.de>
Hello, installing DBD::mysql v.4.010 causes "bus error" when used on solaris. I stumbled upon this error while installing OTRS 2.3.4 which needed DBD::mysql. Simply pulling DBD::mysql from CPAN gave me version 4.010 which i was able to install but every call to mysql gave me "bus error"s. Googling this problem didn't give much hints, but theres another user with a similar error message which brought me to DBD::mysql: http://osdir.com/ml/db.mysql.perl/2004-08/msg00035.html I didn't have compile errors (like in the link above), but actually runtime errors with perl scripts (specifically otrs) accessing mysql through DBD::mysql. This was on a SunOS HOST 5.10 Generic_137111-02 sun4v sparc SUNW,SPARC-Enterprise-T5120 using - mysql Ver 14.14 Distrib 5.1.28-rc, for sun-solaris2.10 (sparc) using readline 5.1 (32bit) - gcc v4.1 for solaris 10 - perl v5.10.0 built for sun4-solaris Downgrading DBD::mysql to 4.003 solved the problem. regards Christoph Hermann -- Christoph Hermann Institut für Informatik Tel: +49 761-203-8171 Fax: +49 761-203-8162 e-mail: hermann@informatik.uni-freiburg.de
Download (untitled) / with headers
text/plain 148b
Hi Christoph, I *assume* this is fixed now. If latest DBD::mysql still causes problems on Solaris for you, please feel free to re-open this ticket.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.